"{ Package: 'stx:goodies/petitparser/analyzer' }"

LibraryDefinition subclass:#stx_goodies_petitparser_analyzer
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_petitparser_analyzer class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

mandatoryPreRequisites
    "list all required mandatory packages.
     Packages are mandatory, if they contain superclasses of the package's classes
     or classes which are extended by this package.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies
     (the browser has a menu function for that)"

    ^ #(
        #'stx:goodies/petitparser'    "PPActionParser - extended "
        #'stx:libbasic'    "LibraryDefinition - superclass of stx_goodies_petitparser_analyzer "
    )
!

referencedPreRequisites
    "list all packages containing classes referenced by the packages's members.
     This list can be maintained manually or (better) generated and
     updated by looking for global variable accesses
     (the browser has a menu function for that)
     However, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPreRequisites method."

    ^ #(
    )
!

subProjects
    "list packages which are known as subprojects.
     The generated makefile will enter those and make there as well.
     However: they are not forced to be loaded when a package is loaded;
     for those, redefine requiredPrerequisites"

    ^ #(
    )
! !

!stx_goodies_petitparser_analyzer class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        PPPattern
        PPProcessor
        PPRule
        PPSentinel
        #'stx_goodies_petitparser_analyzer'
        PPListPattern
        PPReplaceRule
        PPRewriter
        PPSearchRule
        PPSearcher
        PPBlockReplaceRule
        PPParserReplaceRule
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
        PPActionParser match:inContext:seen:
        PPDelegateParser replace:with:
        PPEpsilonParser isNullable
        PPFailingParser match:inContext:seen:
        PPLimitedRepeatingParser replace:with:
        PPListParser copyInContext:seen:
        PPListParser replace:with:
        PPLiteralParser match:inContext:seen:
        PPOptionalParser isNullable
        PPParser allNamedParsers
        PPParser allNamedParsersDo:
        PPParser allParsers
        PPParser allParsersDo:
        PPParser allParsersDo:seen:
        PPParser copyInContext:
        PPParser copyInContext:seen:
        PPParser cycleSet
        PPParser cycleSet:
        PPParser cycleSet:firstSets:into:
        PPParser firstSet
        PPParser firstSets
        PPParser firstSets:into:
        PPParser followSet
        PPParser followSets
        PPParser followSets:firstSets:into:
        PPParser innerChildren
        PPParser innerChildrenDo:
        PPParser innerChildrenDo:seen:
        PPParser isNullable
        PPParser isTerminal
        PPParser match:inContext:
        PPParser match:inContext:seen:
        PPParser matchList:against:inContext:seen:
        PPParser matchList:index:against:index:inContext:seen:
        PPParser namedChildren
        PPParser namedChildrenDo:
        PPParser namedChildrenDo:seen:
        PPParser replace:with:
        PPParser transform:
        PPPluggableParser match:inContext:seen:
        PPPredicateParser match:inContext:seen:
        PPPredicateSequenceParser match:inContext:seen:
        PPRepeatingParser isNullable
        PPRepeatingParser match:inContext:seen:
        PPSequenceParser cycleSet:
        PPSequenceParser firstSets:into:
        PPSequenceParser followSets:firstSets:into:
        PPTokenParser match:inContext:seen:
    )
! !

!stx_goodies_petitparser_analyzer class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2014\nCopyright eXept Software AG 1998-2014'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_goodies_petitparser_analyzer class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/petitparser/analyzer/stx_goodies_petitparser_analyzer.st,v 1.6 2014-03-04 20:29:43 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/petitparser/analyzer/stx_goodies_petitparser_analyzer.st,v 1.6 2014-03-04 20:29:43 cg Exp $'
!

version_MC
    ^ '$PetitAnalyzer-lr.41 608069e1-dadc-4435-abd6-995adf7519e2 2013-03-16T21:52:20 lr$'
! !

